:root {
  --font-family-coustard: Coustard;
  --color-white: #fefefe;
  --color-pearl: #f0eae4;
  --color-opal: #bed2ca;
  --color-gray-olive: #a6a392;
  --color-salmon: #f17257;
  --color-dark-salmon: #ff473c;
  --color-dark-salmon-hover: #c22c28;
  --color-brown: #934849;
  --color-dark-gray: var(--color-dark-gray);
  --color-horizon-blue: #6190a4;
  --color-paint-splotch-blue: #387d7c;
  --color-gray: gray;
  --color-offwhite: #f1ebcd;

  /* one-offs */
  --color-cart-badge: orange;
  --color-checkmark-hover: #bbbbbb;
  --color-checkmark: #cccccc;
  --color-dashboard-pagination-blue: #38afdb;
  --color-dropdown-border: #d3d1d0;
}

.container.maincontent {
  margin: 0;
  max-width: unset;
  padding: 0;
}

.flex-row {
  display: flex;
  flex-direction: row;
}

address.formatted-address {
  text-transform: initial;
}

.braintree-dropin label {
  text-transform: unset;
  font-family: unset;
}

/* Buttons */
.btn.primary {
  background-color: var(--color-dark-salmon);
}
.btn.primary:hover {
  background-color: var(--color-dark-salmon-hover);
}

.orange-button {
  cursor: pointer;
  background-color: var(--color-dark-salmon);
  text-align: center;
  font-family: 'Rustico';
  color: var(--color-white);
  font-size: 1rem;
  margin-top: 5px;
  margin-bottom: 5px;
  transition: all 0.5s ease;
  padding-right: 20px;
  padding-left: 20px;
  border: none;
  letter-spacing: 1px;
}
.orange-button:hover {
  background-color: var(--color-dark-salmon-hover);
  text-decoration: none;
  color: var(--color-white);
}

.wr-button {
  cursor: pointer;
  background-color: transparent;
  text-align: center;
  color: var(--color-salmon);
  transition: all 0.5s ease;
  padding-right: 1rem;
  padding-left: 1rem;
  border: solid 1px var(--color-dark-salmon);
  border-radius: 0.25rem;
}
.wr-button:hover {
  text-decoration: none;
  background-color: var(--color-dark-salmon);
  color: var(--color-white);
}

.big-button {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 3rem;
}

/* Font Classes */
.text-brown {
  color: var(--color-brown);
}
.text-brown:hover {
  color: var(--color-brown);
}
.text-redorange {
  color: var(--color-dark-salmon);
}
.text-orange {
  color: var(--color-salmon);
}
.text-light-orange {
  color: var(--color-salmon);
}
.text-white {
  color: var(--color-white);
}

.rustico {
  font-family: Rustico;
}
.coustard {
  font-family: Coustard;
}

.coustard-header,
.rustico-header {
  text-transform: uppercase;
  color: var(--color-brown);
  text-align: center;
  padding: 15px;
}
.coustard-header {
  font-family: Coustard;
}
.rustico-header {
  font-family: Rustico;
}

/* Input boxes */
.form-group.input-btn .btn {
  border-radius: 0 4px 4px 0;
  font-family: 'Rustico';
}
.invalid-feedback {
  font-family: 'Coustard';
}
.form-control,
input,
select {
  border: 1px solid var(--color-opal);
  color: var(--color-brown);
  font-family: Coustard;
}
.form-control:focus,
input:focus,
select:focus {
  color: var(--color-brown);
  border-color: var(--color-opal);
}

input::placeholder {
  color: rgba(var(--color-salmon), 0.44) !important;
  font-family: Coustard !important;
}

/*
  Custom radio button. Adapted from:
  https://www.w3schools.com/howto/howto_css_custom_checkbox.asp
  see link for detailed comments
*/
div.brown-radio {
  width: max-content;
}
div.brown-radio > label {
  display: block;
  position: relative;
  padding-left: 35px;
  cursor: pointer;
  user-select: none;
}
div.brown-radio > label input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}
.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 1.25rem;
  width: 1.25rem;
  border-radius: 50%;
}
.container input ~ .checkmark {
  background-color: var(--color-checkmark);
}
.container input:hover ~ .checkmark {
  background-color: var(--color-checkmark-hover);
}
div.brown-radio > label input:checked ~ .checkmark {
  background-color: var(--color-brown);
}
.checkmark:after {
  content: '';
  position: absolute;
  display: none;
}
div.brown-radio > label input:checked ~ .checkmark:after {
  display: block;
}
div.brown-radio > label .checkmark:after {
  top: 0.375rem;
  left: 0.375rem;
  width: 0.5rem;
  height: 0.5rem;
  border-radius: 50%;
  background: var(--color-white);
}
@media screen and (max-width: 768px) {
  .checkmark {
    height: 1.33rem;
    width: 1.33rem;
  }
  div.brown-radio > label .checkmark:after {
    top: 0.4rem;
    left: 0.4rem;
    width: 0.5rem;
    height: 0.5rem;
  }
}

/* Select arrow */
select.form-control {
  background: url(/static/images/chevron-down-orange.svg) 100% 50%
    no-repeat/30px 14px;
}

.justify-between {
  justify-content: space-between;
}

.fullw {
  width: 100%;
}

.favorite-button img {
  width: 30px !important;
}

.small-h1 {
  font-size: 20.8px;
}

/* image modal */
.image-modal-modal {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 10;
  background-color: rgba(0, 0, 0, 0.8);
  display: flex;
  justify-content: center;
  align-items: center;
}

.image-modal-modal img {
  max-height: 90vh;
  max-width: 90vw;
  margin: auto;
}

.image-modal-modal.hidden {
  display: none;
}
